Tools
List API Integration Tools
Retrieve all API integration tools in your account
GET
/
tools
List API Tools
curl --request GET \
--url https://api.kallabot.com/tools \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kallabot.com/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tool_schema": {
"tools": [
{
"type": "function",
"function": {
"name": "get_customer_orders",
"description": "Fetch recent orders for a customer by ID.",
"parameters": {},
"strict": true
}
}
],
"tools_params": {},
"mcp_servers": [
{
"url": "<string>"
}
],
"api_tool_ids": [
"<string>"
],
"call_transfer_config": {},
"call_transfer_description": "<string>"
},
"tags": [
"<string>"
],
"isActive": true,
"lastTested": "2023-11-07T05:31:56Z",
"testStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by tool category
Filter by active status
Search in tool names and descriptions
⌘I
List API Tools
curl --request GET \
--url https://api.kallabot.com/tools \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kallabot.com/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tool_schema": {
"tools": [
{
"type": "function",
"function": {
"name": "get_customer_orders",
"description": "Fetch recent orders for a customer by ID.",
"parameters": {},
"strict": true
}
}
],
"tools_params": {},
"mcp_servers": [
{
"url": "<string>"
}
],
"api_tool_ids": [
"<string>"
],
"call_transfer_config": {},
"call_transfer_description": "<string>"
},
"tags": [
"<string>"
],
"isActive": true,
"lastTested": "2023-11-07T05:31:56Z",
"testStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}
